// MBView.cpp : implementation of the CMBView class
//

#include "stdafx.h"
#include "Moebius4.h"

#include "MBDoc.h"
#include "MBView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CMBView

IMPLEMENT_DYNCREATE(CMBView, CFormView)

BEGIN_MESSAGE_MAP(CMBView, CFormView)
//	ON_EN_CHANGE(IDC_EDIT_WIDTH, OnEnChangeEditWidth)
//	ON_EN_UPDATE(IDC_EDIT_WIDTH, OnEnUpdateEditWidth)
//	ON_EN_KILLFOCUS(IDC_EDIT_WIDTH, OnEnKillfocusEditWidth)
//	ON_EN_CHANGE(IDC_EDIT_HEIGHT, OnEnChangeEditHeight)
//	ON_EN_KILLFOCUS(IDC_EDIT_HEIGHT, OnEnKillfocusEditHeight)
//	ON_EN_KILLFOCUS(IDC_EDIT_RADIUS, OnEnKillfocusEditRadius)
ON_BN_CLICKED(IDC_BUTTON_APPLY, OnBnClickedButtonApply)
END_MESSAGE_MAP()

// CMBView construction/destruction

CMBView::CMBView()
	: CFormView(CMBView::IDD)
{
	// TODO: add construction code here

}

CMBView::~CMBView()
{
}

void CMBView::DoDataExchange(CDataExchange* pDX)
{
	CFormView::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT_WIDTH, m_ctrlWidth);
	DDX_Control(pDX, IDC_EDIT_HEIGHT, m_ctrlHeight);
	DDX_Control(pDX, IDC_EDIT_RADIUS, m_ctrlRadius);
}

BOOL CMBView::PreCreateWindow(CREATESTRUCT& cs)
{
	// TODO: Modify the Window class or styles here by modifying
	//  the CREATESTRUCT cs

	return CFormView::PreCreateWindow(cs);
}

void CMBView::OnInitialUpdate()
{
	CFormView::OnInitialUpdate();
	CString buf;
	buf.Format("%f",GetDocument()->m.Width);
	m_ctrlWidth.SetWindowText(buf);
	buf.Format("%f",GetDocument()->m.Height);
	m_ctrlHeight.SetWindowText(buf);
	buf.Format("%f",GetDocument()->m.Width);
	m_ctrlRadius.SetWindowText(buf);
	
	//ResizeParentToFit(false);
}


// CMBView diagnostics

#ifdef _DEBUG
void CMBView::AssertValid() const
{
	CFormView::AssertValid();
}

void CMBView::Dump(CDumpContext& dc) const
{
	CFormView::Dump(dc);
}

CMBDoc* CMBView::GetDocument() const // non-debug version is inline
{
	ASSERT(m_pDocument->IsKindOf(RUNTIME_CLASS(CMBDoc)));
	return (CMBDoc*)m_pDocument;
}
#endif //_DEBUG


// CMBView message handlers



void CMBView::OnBnClickedButtonApply()
{
	CString buf;
	CMBDoc *pd=GetDocument();
	m_ctrlRadius.GetWindowText(buf);
	pd->m.Radius=atof(buf);

	m_ctrlWidth.GetWindowText(buf);
	pd->m.Width=atof(buf);

	m_ctrlHeight.GetWindowText(buf);
	pd->m.Height=atof(buf);

	pd->m.Clear();
	pd->UpdateAllViews(0);
}
